import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import axios from 'axios'
import { BootstrapVue, IconsPlugin } from 'bootstrap-vue'

import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'
import VueGeolocation from 'vue-browser-geolocation'
Vue.use(VueGeolocation)
import * as VueGoogleMaps from 'vue2-google-maps'
Vue.use(VueGoogleMaps, {
	load: {
		key: 'AIzaSyC1Ksf24t03oxHkQYb-DymF9HipgGP30ao',
		libraries: 'places', // necessary for places input
	},
})

Vue.config.productionTip = false
axios.defaults.baseURL = 'http://localhost:58847/'
require('./assets/css/styles.css')

Vue.prototype.$axios = axios
Vue.prototype.$http = axios

new Vue({
	router,
	store,
	render: (h) => h(App),
}).$mount('#app')

Vue.use(BootstrapVue)
Vue.use(IconsPlugin)
